Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ve
Class FactorCPT

    java.lang.Object
      |
      +--ve.Factor
            |
            +--ve.FactorStored
                  |
                  +--ve.FactorCPT

public class FactorCPT
extends FactorStored

Factors that represent conditional probabilty tables. These explictly store the values in a table. We need to be able to read these in from various formats, including standard representations, onscreen display and a native format. We may even want to output them in a different form.

Inner classes inherited from class ve.FactorStored
`FactorStored.Itr`

Fields inherited from class ve.FactorStored
`factorValues`

Fields inherited from class ve.Factor
`BY_ASSIGN, BY_CPT, BY_DETERMINISTIC, BY_EXPANDING, BY_GENRULE, BY_MAXIMIZING, BY_MULTIPLYING, BY_NORMALIZING, BY_OBSERVED, BY_PLUS, BY_REORDERING, BY_SAVEIT, BY_SUM_OUT, BY_UNIFORM, BY_UPDATABLE, BY_V_ELIM, howCreatedVal, savingForTracing, thesize, variables`

Constructor Summary
`FactorCPT(Variable[] vars, double[] valuesArray)` an extra constructor so it can take in the actual values instead of a string representation of them.
`FactorCPT(Variable[] vars, java.lang.String valuesString)`

Method Summary
`private static double[]` | `stringToValues(java.lang.String str, int size)`

Methods inherited from class ve.FactorStored
`iterator`

Methods inherited from class ve.Factor
`allOnes, contains, display, getName, getSavingForTracing, getVariables, howCreated, isRedundant, isRedundant, print, print, printVariables, setSavingForTracing, size, toString`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, wait, wait, wait`

Constructor Detail

### FactorCPT

    public FactorCPT(Variable[] vars,
                     java.lang.String valuesString)

### FactorCPT

    public FactorCPT(Variable[] vars,
                     double[] valuesArray)

  an extra constructor so it can take in the actual values instead of a string representation of them.

Method Detail

### stringToValues

    private static double[] stringToValues(java.lang.String str,
                                           int size)

Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD